// Optische Bank, Led an Pin 4, LDR an Pin A4, Servo an Pin 11
// schwenkt den Servo und gibt die Ad-Werte aus
//################################################################################## 
#include <Servo.h>        //benutzt Timer 1
Servo servo1; Servo servo2; Servo servo3;
byte tmpb=0;
word tmpw=0;
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
void setup() {          
  Serial.begin(9600);
  pinMode(0, INPUT_PULLUP); pinMode(1, INPUT_PULLUP); pinMode(2, INPUT_PULLUP); pinMode(3, INPUT_PULLUP); 
  pinMode(4, OUTPUT); pinMode(5, OUTPUT); pinMode(6, OUTPUT); pinMode(7, OUTPUT);  //Out-Port
  pinMode(8, INPUT); pinMode(12, INPUT); pinMode(13, OUTPUT);                      //US
  pinMode(9, OUTPUT); pinMode(10, OUTPUT); pinMode(11, OUTPUT);                    //Servo
  digitalWrite(A4, HIGH); digitalWrite(A5, HIGH);                                  //Pullup Ad4+5
  digitalWrite(4,HIGH);                                                            // Led on
  servo3.attach(11); 
}//################################################################################## MAIN 
void loop() {
  servo3.write(90);
  delay(999);
  for (int i=90; i <= 180; i++){  //  Grad
    servo3.write(i); 
    tmpw = analogRead(A4); 
    Serial.print("Winkel= ");    Serial.print(i);
    Serial.print("  Ad4= ");    Serial.println(tmpw);
    delay(199);
  }
  servo3.write(0);
  delay(999);
  for (int i=0; i <= 90; i++){  //  Grad
    servo3.write(i); 
    tmpw = analogRead(A4); 
    Serial.print("Winkel= ");    Serial.print(i);
    Serial.print("  Ad4= ");    Serial.println(tmpw);
    delay(199);
  }
}//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 

